de.esprit.appsuite.database.dbase.cred

## Class CredentialDerbyEmbedded

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.Credential
      - - de.esprit.appsuite.database.dbase.cred.CredentialDerbyEmbedded

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class CredentialDerbyEmbedded
      extends Credential

  This is a sample credential for a Derby database system which is being run in embedded mode.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.Credential

      `connUrl, dbPassword, dbSchema, dbUser, DEFAULT_DATABASE_PATH, DERBY_SYSTEM_HOME, jdbcDriver, loginTimeout, maxConns, minConns`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialDerbyEmbedded()`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.Credential

      `createAccessoireFileWithExtension, createSaveString, getConnectionUrl, getCredFile, getDatabasName, getDefaultDerbyHome, getJdbcDriver, getLoginTimeout, getMaxConns, getMinConns, getPassword, getSchema, getUser, isValid, putSystemProperty, readCommandLineParams, readFileParams, save, save, setConnectionUrl, setCredFile, setJdbcDriver, setLoginTimeout, setMaxConns, setMinConns, setPassword, setSchema, setUser, setValues, toDumpString, toString, validate`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialDerbyEmbedded

          public CredentialDerbyEmbedded()

Copyright © 2013 EsprIT-Systems. All Rights Reserved.